ecodms archive 1408 krustyDownload the software components including plugins, add-ons and separators for the ecoDMS document archive version 14.08 (krusty) here.

Windows Packages

NAS Packages (Docker: Synology & QNAP)

open_in_browser Docker Image 14.08 (krusty) 2016-05-31 DE+EN
The ecoDMS server can be installed on a QNAP and Synology system. ecoDMS supports those device types from QNAP and Synology which which allow container virtualization via "Docker". Not all models of the Synology and QNAP ranges support Docker. If the latest version of the Synology or QNAP software is installed on an NAS, and Docker is not available, the model is not compatible with ecoDMS. The download source and installation are descibed in the ecoDMS installation guide. You cannot download the components directly from the ecoDMS website.

Ubuntu, Debian & Raspbian Packages

Console Packages 14.08-12-1-3 (krusty) 2016-11-07 DE+EN
Install the ecoDMS components (ecoDMS Server, ecoDMS Client, ecoICE Client and ecoDMS PDF/A Printer) via the console if you have Ubuntu, Debian or Raspbian. You can only install the ecoDMS Server under Raspbian. Refer to the ecoDMS installation manual for a detailed step-by-step guide and "sources.list" entries. You cannot download the components directly from the ecoDMS website.

MacOS Packages

ecoDMS Plugins

ecoDMS Accessories

Trennblatt / Separator Page ecoDMS 07-10-2018 12:35 13.77 KB DE+EN

ecoDMS Version 18.09 (apu)

Download the current version of the successful archiving system and test the features for free for 30 days. In the shop you can purchase licences for the full version.

Update & Upgrade

  • Ensure you make a backup before updating or upgrading.
  • If you wish to upgrade from a previous version to a new major release, please follow the upgrade steps in the new installation manual.
  • For a simple update of the same major release, just install the software over the old version.
  • You must always update all components.
We value the security of your data and information. With each update we optimise our software. In doing so, we work according to the latest security standards. We therefore advise you to always install the latest version of all ecoDMS components.